Bug 1261887 - dnf does not report which packages cause conflicts
dnf does not report which packages cause conflicts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 07:52 EDT by Marco Motta
Modified: 2017-08-31 14:23 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Motta 2015-09-10 07:52:11 EDT
Description of problem:

If a package can not be updated for a conflict with another already installed, dnf skip the upgrade without report the package that cause the problem.

Version-Release number of selected component (if applicable):

Previous to dnf-1.1.0-2.fc22.noarch; I don't remember the esact number

How reproducible:

dnf -y -v upgrade


Steps to Reproduce:
1.
2.
3.

Actual results:

[root@localhost marco]# dnf -y -v upgrade
cachedir: /var/cache/dnf
Loaded plugins: generate_completion_cache, config-manager, copr, playground, builddep, protected_packages, noroot, debuginfo-install, migrate, reposync, download, kickstart, needs-restarting, Query
DNF version: 1.1.0
repo: using cache for: bumblebee-nonfree
not found deltainfo for: bumblebee nonfree for fedora Linux 22 - x86_64 - Base
not found updateinfo for: bumblebee nonfree for fedora Linux 22 - x86_64 - Base
repo: using cache for: fedora
not found deltainfo for: Fedora 22 - x86_64
not found updateinfo for: Fedora 22 - x86_64
repo: using cache for: bumblebee
not found deltainfo for: bumblebee for fedora Linux 22 - x86_64 - Base
not found updateinfo for: bumblebee for fedora Linux 22 - x86_64 - Base
repo: using cache for: rpmfusion-free-updates
not found deltainfo for: RPM Fusion for Fedora 22 - Free - Updates
not found updateinfo for: RPM Fusion for Fedora 22 - Free - Updates
repo: using cache for: rpmfusion-nonfree-updates
not found deltainfo for: RPM Fusion for Fedora 22 - Nonfree - Updates
not found updateinfo for: RPM Fusion for Fedora 22 - Nonfree - Updates
repo: using cache for: rpmfusion-free
not found deltainfo for: RPM Fusion for Fedora 22 - Free
not found updateinfo for: RPM Fusion for Fedora 22 - Free
repo: using cache for: updates
repo: using cache for: rpmfusion-nonfree
not found deltainfo for: RPM Fusion for Fedora 22 - Nonfree
not found updateinfo for: RPM Fusion for Fedora 22 - Nonfree
bumblebee-nonfree: using metadata from Thu Sep  3 19:16:52 2015.
fedora: using metadata from Thu Sep  3 19:17:02 2015.
bumblebee: using metadata from Thu Sep  3 19:17:42 2015.
rpmfusion-free-updates: using metadata from Thu Sep  3 19:18:42 2015.
rpmfusion-nonfree-updates: using metadata from Thu Sep  3 19:19:37 2015.
rpmfusion-free: using metadata from Mon Aug 31 20:08:42 2015.
updates: using metadata from Fri Sep  4 07:30:57 2015.
rpmfusion-nonfree: using metadata from Mon Aug 31 20:09:15 2015.
Last metadata expiration check performed 0:05:15 ago on Fri Sep  4 07:30:57 2015.
--> Inizio risoluzione dipendenze
--> Risoluzione delle dipendenze completata
Dipendenze risolte.
================================================================================
 Pacchetto   Arch        Versione             Repository                   Dim.
================================================================================
Skipping packages with broken dependencies:
 akmods      noarch      0.5.4-1.fc22         rpmfusion-free-updates       25 k

Riepilogo della transazione
================================================================================

Niente da fare
Completion plugin: Generating completion cache...
Completo!

Expected results:

yum-deprecated update
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.

Plugin abilitati:langpacks
Risoluzione dipendenze
--> Esecuzione del controllo di transazione
---> Pacchetto akmods.noarch 0:0.5.2-1.fc22 settato per essere aggiornato
---> Pacchetto akmods.noarch 0:0.5.4-1.fc22 settato per essere un aggiornamento
--> Analisi conflitto: akmods-0.5.4-1.fc22.noarch va in conflitto con kernel-debug-devel
--> Analisi conflitto: akmods-0.5.4-1.fc22.noarch va in conflitto con kernel-debug-devel
--> Analisi conflitto: akmods-0.5.4-1.fc22.noarch va in conflitto con kernel-debug-devel
--> Risoluzione delle dipendenze completata
Errore: akmods conflicts with kernel-debug-devel-4.1.5-200.fc22.x86_64
Errore: akmods conflicts with kernel-debug-devel-4.1.3-200.fc22.x86_64
Errore: akmods conflicts with kernel-debug-devel-4.1.6-200.fc22.x86_64
 Si può provare ad usare --skip-broken per aggirare il problema
 Provare ad eseguire: rpm -Va --nofiles --nodigest

Additional info:

With the info "akmods conflicts with kernel-debug-devel-4.1.5-200.fc22.x86_64" i am able to skip the update (as dnf do), or remove kernel-debug-devel (if I do not need it), and then update the system.
Comment 1 Honza Silhan 2015-09-16 05:55:14 EDT
Thanks for the report. We'll add a hint.
Comment 2 Ricky 2015-11-21 10:10:22 EST
It is very difficult to figure out the cause of broken dependencies without investigating time manually.

I wish dnf can provide helpful information so that I can resolve it.

Thanks!
Comment 3 Ricky 2015-11-21 10:10:54 EST
It is very difficult to figure out the cause of broken dependencies without investigating time manually.

I wish dnf can provide helpful information so that I can resolve it.

Thanks!
Comment 4 Marcin Juszkiewicz 2015-11-30 04:10:26 EST
"dnf upgrade --best" is what I use in such moments.
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:28:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-07-19 15:56:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 udo 2016-07-28 11:49:04 EDT
(In reply to Marcin Juszkiewicz from comment #4)
> "dnf upgrade --best" is what I use in such moments.

What does that do the logging of the root cause?
Comment 8 udo 2016-07-29 10:12:47 EDT
In the area of messy upgrades: what is the dnf equivalent of `yum check`?
`yum check` shows all missing dependencies and problems.
`dnf check` does not work...
So how to fix a system with dnf when we need the `yum check` output?
Comment 9 Marcin Juszkiewicz 2016-08-02 19:07:54 EDT
udo: 'dnf update --best' is more or less what 'yum check' was.
Comment 10 Michael Mráka 2016-08-03 01:25:17 EDT
(In reply to udo from comment #8)
> In the area of messy upgrades: what is the dnf equivalent of `yum check`?

dnf repoquery --unsatisfied

(hint: man  yum2dnf)
Comment 11 udo 2017-08-31 14:23:41 EDT
# dnf repoquery --unsatisfied
Last metadata expiration check: 0:00:52 ago on Thu 31 Aug 2017 08:21:55 PM CEST.
nothing provides libgoa-1.0.so.0()(64bit) needed by control-center-1:3.24.3-1.fc26.x86_64
nothing provides libsox.so.1()(64bit) needed by dvda-author-12.06-1.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by libgdata-0.17.8-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
nothing provides libgoa-1.0.so.0()(64bit) needed by evolution-data-server-3.24.5-1.fc26.x86_64
# 

Perhaps `uniq` can help here.

Note You need to log in before you can comment on or make changes to this bug.